Report

General Information

Integrators who have chosen the Pix Hub integration path should be aware that this report API only returns transactions processed through PSP Fiserv. Transactions completed through any other PSP routed via Pix Hub will not appear in the report results.

GET /v1/apm/pix/report/transactions

Detailed PIX transaction query, allowing filtering by document, period, Pix key, txid, endToEnd, and pagination criteria. Returns complete information about the transactions performed, the criteria used, pagination details, and a summary of net amounts, gross amounts, and fees.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeyqueryPix Keynostring
documentNumberqueryDocument Numbernostring
startDatequeryBilling start date and timeyesDateTime (ISO 8601)
endDatequeryBilling end date and timeyesDateTime (ISO 8601)
settlementStartDatequerySettlement start date and timenoDateTime (ISO 8601)
settlementEndDatequerySettlement end date and timenoDateTime (ISO 8601)
txidqueryTransaction Idnostring
endToEndqueryEnd to End Confirmation Codenostring
pagination.currentPagequeryCurrent pageyesinteger
pagination.pageSizequeryNumber of items per pageyesinteger
Response Fields
FieldTypeDescription
criteriaobjectSearch criteria used
criteria.pixKeystringPix key filtered
criteria.documentNumberstringClient document filtered
criteria.startDatestring (ISO 8601)Start date filter
criteria.endDatestring (ISO 8601)End date filter
criteria.settlementStartDatestring (ISO 8601)Settlement start date filter
criteria.settlementEndDatestring (ISO 8601)Settlement end date filter
criteria.txidstringTransaction ID filter
criteria.endToEndstringEnd to End filter
resultarrayList of transactions
result.createdAtstring (ISO 8601)Transaction creation date and time
result.settlementDatestring (ISO 8601)Settlement date and time
result.grossAmountdecimalGross transaction amount
result.feeAmountdecimalFee amount
result.netAmountdecimalNet amount after fees
result.endToEndstringEnd to End code
result.txidstringTransaction ID
result.pixKeystringAccount Pix Key
result.typestringTransaction type
summaryobjectSummary of values
summary.sumGrossAmountdecimalSum of all gross amounts
summary.sumFeeAmountdecimalSum of all fees
summary.sumNetAmountdecimalSum of all net amounts
paginationobjectPagination information
pagination.currentPageintCurrent page
pagination.pageSizeintItems per page
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "criteria": {
    "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
    "documentNumber": "13207930000162",
    "startDate": "2025-11-01T15:58:00.000Z",
    "endDate": "2025-11-25T15:58:00.000",
    "settlementStartDate": "2024-10-01",
    "settlementEndDate": "2024-10-01",
    "txid": "SE00000000001ABCDEFGHIJKLMNO01PQRS",
    "endToEnd": "E01234567202410011525AB1CDEFGHI6"
  },
  "result": [
    {
      "createdAt": "2025-11-19T10:29:23.182Z",
      "settlementDate": "2025-11-20T00:33:41.965Z",
      "grossAmount": 50.0,
      "feeAmount": 1.0,
      "netAmount": 49.0,
      "endToEnd": "E04962772202511191330JtQlWP6tWmL",
      "txid": "69xWbpREB9fvZ5oUr7HPNSlm5r6cclBy3Gk0",
      "pixKey": "0d611cb1-dc49-4b66-b874-157a126c23ab",
      "type": "Payment"
    },
    {
      "createdAt": "2025-11-12T15:54:52.450Z",
      "settlementDate": "2025-11-13T00:30:54.831Z",
      "grossAmount": 49.99,
      "feeAmount": 1.0,
      "netAmount": 48.99,
      "endToEnd": "D12345678202009091000abcde123456",
      "txid": "kXrK2W2mFxOQ8NEXH",
      "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
      "type": "Payment"
    }
  ],
  "summary": {
    "sumGrossAmount": 99.99,
    "sumFeeAmount": 2.0,
    "sumNetAmount": 97.99
  },
  "pagination": {
    "currentPage": 0,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 0
  }
}

GET /v2/apm/pix/report/transactions

Advanced PIX transaction query, allowing filtering by period, document, Pix key, txid, endToEnd, amounts, transaction types, merchant CNPJ, as well as pagination and multiple integrators. Returns a detailed list of transactions, the criteria used, pagination details, a summary of credits, debits, available balance, and additional messages.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token for authenticationyesstring (bearerToken)
pixKeyqueryPix key of the accountnostring
documentNumberqueryList of account documents (can be multiple)noarray of strings
startDatequeryFilter transactions after this date and timeyesDateTime (ISO 8601)
endDatequeryFilter transactions before this date and timeyesDateTime (ISO 8601)
txidqueryTransactions unique identifiernostring
endToEndqueryPix transaction unique end to end identifiernostring
pagination.currentPagequeryPage number to be retrievedyesint
pagination.pageSizequeryPage size to be retrievedyesint
minAmountqueryMinimum transaction amountnodecimal
maxAmountqueryMaximum transaction amountnodecimal
transactionTypesqueryList of transaction types to filter (0-14)noarray of int
merchantCnpjqueryMerchant CNPJnostring
accountIdToGetBalancequeryAccount ID to query available balancenoGuid
originChannelqueryOrigin channel of the transaction. See Origin Channelnoint
Response Fields
FieldTypeDescription
resultarrayList of transactions
result.txidstringTransactions unique identifier
result.amountdecimalAmount of the transaction (BRL)
result.createdAtDateTime (ISO 8601)Transaction date and time
result.movementTypestringType of movement: Debit, Credit
result.transactionTypestringTransaction Type. See the complete table in Transaction Types
result.endToEndIdstringUnique end to end id
result.accountCnpjstringAccount CNPJ
result.pixKeystringAccount Pix Key
result.thirdPartyNamestringName of the third party (external) involved in the transaction
result.merchantCnpjstringMerchant CNPJ
result.inconsistencyReprovalintIn case of reproval by the inconsistency prevention engine: 1 - Inconsistency (can be null)
result.agencystringDestination account branch
result.accountNumberstringDestination account number
result.accountTypestringDestination account type
result.bankNamestringDestination bank name
result.bankIspbstringDestination bank ISPB
result.bankPixKeystringDestination bank Pix Key
result.userEmailstringUser email
result.ispbstringPSP ISPB
result.ispbNamestringPSP name
result.bankCompeCodestringCOMPE Code (Check and Other Document Clearing System)
result.originAgencystringOrigin branch
result.originAccountNumberstringOrigin account number
result.integratorTradeNamestringTrade name of the integrator that owns the account
result.integratorLegalNamestringLegal name of the integrator that owns the account
criteriaobjectSearch criteria used
criteria.startDatestring (ISO 8601)Start date filter used
criteria.endDatestring (ISO 8601)End date filter used
criteria.pixKeystringPix key filter used
criteria.documentNumberarrayDocument filter used
criteria.txidstringTxid filter used
criteria.endToEndIdstringEnd to end filter used
summaryobjectSummary of values
summary.sumAmountCreditsdecimalSum of all credits
summary.sumAmountDebitsdecimalSum of all debits
summary.availableBalancedecimalAvailable balance (optional, only returns if accountIdToGetBalance was provided)
summary.additionalMessagestringAdditional message (can be null)
summary.errorMessagestringError message (can be null)
paginationobjectPagination information
pagination.currentPageintCurrent page retrieved
pagination.pageSizeintCurrent page size
pagination.totalPagesintTotal pages to be retrieved
pagination.totalItemsintTotal items to be retrieved
Response Example
{
  "criteria": {
    "pixKey": "4d2dd55d-d1ab-492b-868e-6b1a2791dc0b",
    "documentNumber": [
      "14821268000107"
    ],
    "startDate": "2025-01-01",
    "endDate": "2029-12-31",
    "txid": "2a2cc743-3913-48ea-91fe-13256ab3c3d2",
    "endToEndId": "E144654798498498465123"
  },
  "result": [
    {
      "createdAt": "2025-06-06T04:57:20.882Z",
      "movementType": "1",
      "transactionType": "1",
      "amount": 99.99,
      "endToEndId": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "txid": "42474ba2-fd99-43b9-b688-52fb7a74106d",
      "accountCnpj": "14821268000107",
      "pixKey": "4d2dd55d-d1ab-492b-868e-6b1a2791dc0b",
      "thirdPartyName": "John Mary",
      "inconsistencyReproval": 1,
      "merchantCnpj": "13207930000162",
      "agency": "0001",
      "accountNumber": "123456",
      "accountType": "Conta Corrente",
      "bankName": "Banco Exemplo",
      "bankIspb": "00000000",
      "bankCompeCode": "341",
      "bankPixKey": "980be6da-75b4-42f6-a505-13ba01221c6f",
      "userEmail": "[email protected]",
      "ispb": "12345678",
      "ispbName": "PSP Fiserv",
      "originAgency": "0001",
      "originAccountNumber": "654321",
      "integratorTradeName": "Acme Solutions",
      "integratorLegalName": "Acme Solutions Ltda"
    }
  ],
  "summary": {
    "sumAmountCredits": 99.99,
    "sumAmountDebits": 0,
    "availableBalance": 0,
    "additionalMessage": null,
    "errorMessage": null
  },
  "pagination": {
    "currentPage": 1,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v1/apm/pix/report/settlements

PIX settlement query, allowing filtering by document, period, Pix key, authorization status, and pagination. Returns a detailed list of completed settlements, the criteria used, and pagination information.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL)yesstring
AuthorizationheaderBearer token used for authenticationyesstring (bearerToken)
pixKeyqueryAccount's Pix Keynostring
documentNumberqueryCNPJ numbernostring
startDatequeryStart date for consultationyesDateTime (ISO 8601)
endDatequeryEnd date for consultationyesDateTime (ISO 8601)
statusquerySettlement Statusnointeger
pagination.currentPagequeryCurrent Pageyesinteger
pagination.pageSizequeryItens per pageyesinteger
Response Fields
FieldTypeDescription
criteriaobjectSearch criteria used
criteria.pixKeystringPix key filtered
criteria.documentNumberstringClient document filtered
criteria.startDatestring (ISO 8601)Start date filter
criteria.endDatestring (ISO 8601)End date filter
criteria.statusstringStatus
resultsarrayList of settlements
results.totalAmountdecimalNet settlement amount
results.totalGrossAmountdecimalGross settlement amount
results.totalFeeAmountdecimalFees amount
results.statusstring (enum)Settlement Status
results.pixKeystringAccount Pix Key
results.errorMessagestringError message (can be null). See Settlement Report Error Codes
results.createdAtstring (ISO 8601)Settlement creation date and time
results.endToEndstringTransaction end to end
results.settlementobjectSettlement destination account data
results.settlement.pixKeystringSettlement account Pix Key
results.settlement.bankAccountobjectSettlement account bank details
results.settlement.bankAccount.typestringAccount type code: "CC" - Checking Account, "PG" - Payment Account
results.settlement.bankAccount.bankCodestringBank ISPB code
results.settlement.bankAccount.agencystringAccount branch
results.settlement.bankAccount.accountNumberstringAccount number
results.settlement.bankAccount.cnpjstringAccount CNPJ
paginationobjectPagination information
pagination.currentPageintCurrent page
pagination.pageSizeintItems per page
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "criteria": {
    "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
    "documentNumber": "13207930000162",
    "startDate": "2024-10-01T15:25:30.812Z",
    "endDate": "2024-10-01T15:25:30.812Z",
    "status": 2
  },
  "results": [
    {
      "totalAmount": 99.00,
      "totalGrossAmount": 99.99,
      "totalFeeAmount": 0.99,
      "status": "Failed",
      "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
      "errorMessage": "02. Houve uma falha no pagamento",
      "createdAt": "2024-10-01T15:25:30.812Z",
      "endToEnd": "E01234567202410011525AB1CDEFGHI6",
      "settlement": {
        "pixKey": "ec961b3d-5ce3-4c5e-9a77-400f3fe13ab2",
        "bankAccount": {
          "type": "PG",
          "bankCode": "104",
          "agency": "0001",
          "accountNumber": "4321056789",
          "cnpj": "13207930000162"
        }
      }
    }
  ],
  "pagination": {
    "currentPage": 0,
    "pageSize": 1,
    "totalPages": 1,
    "totalItems": 0
  }
}

GET /v2/apm/pix/report/transactions/split/detailed

Query detailed report of transactions with split.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )yesstring
AuthorizationheaderBearer Token used for authenticationyesstring (bearerToken)
startDatequeryStart dateyesDateTime (ISO 8601)
endDatequeryEnd dateyesDateTime (ISO 8601)
merchantCnpjqueryMerchant CNPJnostring
transactionTypesqueryTransaction types. See the complete table in Transaction Typesnoarray[int]
pageNoqueryPage numberyesint
pageSizequeryItems per pageyesint
Response Fields
FieldTypeDescription
resultarrayList of transactions
result.dateDateTime (ISO 8601)Transaction date and time
result.cnpjstringMerchant CNPJ
result.txIdstringTransaction ID
result.endToEndstringTransaction End to End
result.txIdReversestringReverse transaction ID (can be null)
result.transactionTypeobjectTransaction type. See Transaction Types for details
result.transactionType.idintTransaction type ID
result.transactionType.namestringTransaction type name
result.transactionType.descriptionstringTransaction type description
result.amountdecimalTransaction amount
result.paidAmountdecimalPaid amount
result.targetCustomerFeeAmountdecimalTarget customer fee amount
result.appliedCustomerFeeAmountdecimalApplied customer fee amount
result.appliedFiservFeeAmountdecimalApplied Fiserv fee amount
result.appliedPartnerFeeAmountdecimalApplied Partner fee amount
pagination.currentPageintCurrent page
pagination.pageSizeintPage size
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "result": [
    {
      "date": "2025-06-06T04:57:20.882Z",
      "cnpj": "13207930000162",
      "txId": "42474ba2-fd99-43b9-b688-52fb7a74106d",
      "endToEnd": "EDARFlxoxT0zBhFBqEIC6c2QQCo2d54U",
      "txIdReverse": null,
      "transactionType": {
        "id": 0,
        "name": "Payment",
        "description": "Cobrança"
      },
      "amount": 100.00,
      "paidAmount": 100.00,
      "targetCustomerFeeAmount": 1.00,
      "appliedCustomerFeeAmount": 1.00,
      "appliedFiservFeeAmount": 0.50,
      "appliedPartnerFeeAmount": 0.50
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v2/apm/pix/report/transactions/split/summary

Query summary report of transactions with split.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )yesstring
AuthorizationheaderBearer Token used for authenticationyesstring (bearerToken)
startDatequeryStart dateyesDateTime (ISO 8601)
endDatequeryEnd dateyesDateTime (ISO 8601)
merchantCnpjqueryMerchant CNPJnostring
transactionTypesqueryTransaction types. See the complete table in Transaction Typesnoarray[int]
pageNoqueryPage numberyesint
pageSizequeryItems per pageyesint
Response Fields
FieldTypeDescription
resultarrayList of summaries by transaction type
result.transactionTypeobjectTransaction type. See Transaction Types for details
result.transactionType.idintTransaction type ID
result.transactionType.namestringTransaction type name
result.transactionType.descriptionstringTransaction type description
result.quantityintNumber of transactions
result.amountdecimalAmount
result.paidAmountdecimalPaid amount
result.targetCustomerFeeAmountdecimalTarget customer fee amount
result.appliedCustomerFeeAmountdecimalApplied customer fee amount
result.appliedFiservFeeAmountdecimalApplied Fiserv fee amount
result.appliedPartnerFeeAmountdecimalApplied Partner fee amount
pagination.currentPageintCurrent page
pagination.pageSizeintPage size
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "result": [
    {
      "transactionType": {
        "id": 0,
        "name": "Payment",
        "description": "Cobrança"
      },
      "quantity": 10,
      "amount": 1000.00,
      "paidAmount": 1000.00,
      "targetCustomerFeeAmount": 10.00,
      "appliedCustomerFeeAmount": 10.00,
      "appliedFiservFeeAmount": 5.00,
      "appliedPartnerFeeAmount": 5.00,
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

GET /v2/apm/pix/report/transactions/split/summary-by-cnpj

Query summary report of transactions with split, grouped by merchant CNPJ.

Request Fields
NameLocated inDescriptionMandatoryType
apikeyheaderAPI Keyyesstring
x-timestampheaderDate/time of the request (used to prevent replay attacks)yesstring
x-request-idheaderRandom ID used to identify the requestyesstring
x-hmac-signatureheaderHMAC signature generated by combining the request parameters: Example: HMAC-SHA256( apikey + x-timestamp + requestBody + URL )yesstring
AuthorizationheaderBearer Token used for authenticationyesstring (bearerToken)
startDatequeryStart dateyesDateTime (ISO 8601)
endDatequeryEnd dateyesDateTime (ISO 8601)
merchantCnpjqueryMerchant CNPJnostring
transactionTypesqueryTransaction types. See the complete table in Transaction Typesnoarray[int]
pageNoqueryPage numberyesint
pageSizequeryItems per pageyesint
Response Fields
FieldTypeDescription
resultarrayList of summaries by merchant CNPJ and transaction type
result.cnpjstringMerchant CNPJ
result.transactionTypeobjectTransaction type. See Transaction Types for details
result.transactionType.idintTransaction type ID
result.transactionType.namestringTransaction type name
result.transactionType.descriptionstringTransaction type description
result.quantityintNumber of transactions
result.amountdecimalAmount
result.paidAmountdecimalPaid amount
result.targetCustomerFeeAmountdecimalTarget customer fee amount
result.appliedCustomerFeeAmountdecimalApplied customer fee amount
result.appliedFiservFeeAmountdecimalApplied Fiserv fee amount
result.appliedPartnerFeeAmountdecimalApplied Partner fee amount
pagination.currentPageintCurrent page
pagination.pageSizeintPage size
pagination.totalPagesintTotal pages
pagination.totalItemsintTotal items
Response Example
{
  "result": [
    {
      "cnpj": "13207930000162",
      "transactionType": {
        "id": 0,
        "name": "Payment",
        "description": "Cobrança"
      },
      "quantity": 10,
      "amount": 1000.00,
      "paidAmount": 1000.00,
      "targetCustomerFeeAmount": 10.00,
      "appliedCustomerFeeAmount": 10.00,
      "appliedFiservFeeAmount": 5.00,
      "appliedPartnerFeeAmount": 5.00
    }
  ],
  "pagination": {
    "currentPage": 1,
    "pageSize": 10,
    "totalPages": 1,
    "totalItems": 1
  }
}

Additional Information

Transaction Types

Reference table for transaction types used in report endpoints:

CodeNameDescription
0PaymentCharge
1ReverseReversal
2BlockMED block
3UnlockMED unlock
4SpecialReturnSpecial Return Movement
5RefundPartial Refund
6BacenJudTransferBacen Jud Transfer
7BacenJudBlockBacen Jud Block
8BacenJudUnlockBacen Jud Unlock
9ScheduledCashOutScheduled Cash Out
10ImmediateCashOutImmediate Cash Out
11PixFeePix Fee
12PixFeeReverseFee Reversal
13SpecialReturnReverseSpecial Return Reversal
14ManagementAdjustmentManagement Adjustments
15CashInRejectedCash-in rejected
16CashOutRejectedCash-out rejected
17DueDatePaymentDue date payment
Settlement Error Codes

Error codes that are returned in the errorMessage field when a settlement fails.

CodeNameDescription
1InvalidAccountThese are registration errors that require updates to the client's data. Examples: the root CNPJ of the domicile account does not match the CNPJ of the account at the PSP, or the account lacks settlement data.
2ProcessingFailureThese are internal errors that can be retried. Typical causes include exceptions, timeouts, infrastructure failures, or HTTP call errors. This is the default error for such cases.
3WithoutBalanceThis can occur if, at the time of settlement execution, the sum of returns, refunds, and blocks consumes the total value of received charges, resulting in a zero balance to be settled. The record is created, but it is already assigned this error.
4BlockedBalanceMEDThe available balance is blocked due to fraud prevention triggers or suspicious activity detection. Settlement cannot proceed until the block is manually reviewed and released by the compliance team.
5BlockedBalanceThe available balance is blocked due to pending obligations, judicial holds, or internal compliance restrictions. It requires administrative action or resolution of the underlying issues before settlement can occur
Settlement Status
CodeNameDescription
0PendingSettlement awaiting processing — when the account settlement status is Pending.
1ConfirmedSettlement completed successfully — when the account settlement status is Closed and has no errors.
2FailedSettlement failed — when the account settlement status is Failed, or when it is Closed but has an associated error.
Origin Channel

Reference table for origin channels used in report endpoints:

CodeNameDescription
1ExternalIntegratorExternal Integrator
2ServicesModuleServices Module
3ClientPortalClient Portal
4InternalAutomationInternal Automation
5MEDSpecial Return Mechanism (Mecanismo Especial Devolução)
6BacenJudBacen Jud
7BackOfficeBackOffice
8SupportBackOfficePortalSupport BackOffice Portal